> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the status of multiple feature flags for a business



## OpenAPI

````yaml /openapi.json get /businesses/{business_id}/feature_flags/statuses
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /businesses/{business_id}/feature_flags/statuses:
    get:
      tags:
        - Feature flags
      summary: Get the status of multiple feature flags for a business
      parameters:
        - in: path
          name: business_id
          schema:
            type: string
          description: The ID of the business
          required: true
        - in: query
          name: feature_flag_names
          schema:
            type: array
            items:
              type: string
          description: The names of the feature flags to check
          required: true
      responses:
        '200':
          description: >-
            A dictionary with a `feature_flags` property which is an array of
            `FeatureFlag` objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  feature_flags:
                    type: array
                    items:
                      $ref: '#/components/schemas/FeatureFlag'
                    description: An array of `FeatureFlag` objects
                required:
                  - feature_flags
components:
  schemas:
    FeatureFlag:
      type: object
      properties:
        feature_flag_name:
          type: string
          description: The name of the feature flag
        enabled:
          type: boolean
          description: Whether the feature flag is enabled
      required:
        - feature_flag_name
        - enabled
      title: The Feature Flag object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````